<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence de la structure parsage_data</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="structparsage__data-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure parsage_data</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="parsage_8hpp_source.html">parsage.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a677d38e44d395049d71ce1e6f2733b41"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_parsage.html">Parsage</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structparsage__data.html#a677d38e44d395049d71ce1e6f2733b41">parseur</a></td></tr>
<tr class="separator:a677d38e44d395049d71ce1e6f2733b41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa319424811a853903d3e3956802101c9"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structparsage__data.html#aa319424811a853903d3e3956802101c9">key</a></td></tr>
<tr class="separator:aa319424811a853903d3e3956802101c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f84c2c622dd305246e0667a6c9613ab"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structparsage__data.html#a1f84c2c622dd305246e0667a6c9613ab">value</a></td></tr>
<tr class="separator:a1f84c2c622dd305246e0667a6c9613ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="parsage_8hpp_source.html#l00083">83</a> du fichier <a class="el" href="parsage_8hpp_source.html">parsage.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des données membres</h2>
<a id="aa319424811a853903d3e3956802101c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa319424811a853903d3e3956802101c9">&#9670;&nbsp;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string parsage_data::key</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Identifiant de la nouvelle valeur </p>

<p class="definition">Définition à la ligne <a class="el" href="parsage_8hpp_source.html#l00085">85</a> du fichier <a class="el" href="parsage_8hpp_source.html">parsage.hpp</a>.</p>

</div>
</div>
<a id="a677d38e44d395049d71ce1e6f2733b41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a677d38e44d395049d71ce1e6f2733b41">&#9670;&nbsp;</a></span>parseur</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_parsage.html">Parsage</a>* parsage_data::parseur</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Parseur du serveur </p>

<p class="definition">Définition à la ligne <a class="el" href="parsage_8hpp_source.html#l00084">84</a> du fichier <a class="el" href="parsage_8hpp_source.html">parsage.hpp</a>.</p>

</div>
</div>
<a id="a1f84c2c622dd305246e0667a6c9613ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f84c2c622dd305246e0667a6c9613ab">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string parsage_data::value</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Nouvelle valeur </p>

<p class="definition">Définition à la ligne <a class="el" href="parsage_8hpp_source.html#l00086">86</a> du fichier <a class="el" href="parsage_8hpp_source.html">parsage.hpp</a>.</p>

</div>
</div>
<hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>include/class/<a class="el" href="parsage_8hpp_source.html">parsage.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
